求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

Kvm、VMware、Virtualbox、Xen、Qemu 等
回复
lzjr
帖子: 70
注册时间: 2009-08-21 16:29
送出感谢: 0
接收感谢: 0

求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#1

帖子 lzjr » 2014-04-26 9:23

sudo ./*.bundle后,出现如下错误提示:
Extracting VMware Installer...done.

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: 无法打开共享对象文件: 没有那个文件或目录


如何解决,求各位大侠支招!!
头像
comp_286
帖子: 178
注册时间: 2006-03-12 14:17
送出感谢: 0
接收感谢: 13 次

Re: 求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#2

帖子 comp_286 » 2014-04-26 20:45

sudo apt-get install gtk2-engines-murrine
lzjr
帖子: 70
注册时间: 2009-08-21 16:29
送出感谢: 0
接收感谢: 0

Re: 求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#3

帖子 lzjr » 2014-04-26 21:03

sudo apt-get install gtk2-engines-murrine
[sudo] password for lzjr:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
gtk2-engines-murrine 已经是最新的版本了。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。

不行啊,大侠。
epia
帖子: 34
注册时间: 2011-02-09 20:21
送出感谢: 0
接收感谢: 1 次

Re: 求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#4

帖子 epia » 2014-04-29 10:41

没啥影响吧?我装的时候也提示这个,但是装好后一样可以用啊? :em06
lzjr
帖子: 70
注册时间: 2009-08-21 16:29
送出感谢: 0
接收感谢: 0

Re: 求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#5

帖子 lzjr » 2014-04-29 17:49

再请教一下,界面英语怎么换中文
coldsun
帖子: 6
注册时间: 2014-01-29 9:11
系统: ubuntu12.04
送出感谢: 1 次
接收感谢: 0

Re: 求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#6

帖子 coldsun » 2014-05-04 8:49

sudo apt-get remove gtk2-engines-murrine
sudo apt-get install gtk2-engines-murrine
lzjr
帖子: 70
注册时间: 2009-08-21 16:29
送出感谢: 0
接收感谢: 0

Re: 求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#7

帖子 lzjr » 2014-05-05 23:45

谢谢,不折腾了vm了,准备试试 kvm
leisurex
帖子: 3
注册时间: 2014-06-17 23:34
系统: ubuntu
送出感谢: 0
接收感谢: 0

Re: 求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#8

帖子 leisurex » 2014-06-18 0:05

试试 chmod +x VMware-Workstation-Full-10.0.2-1744117.x86_64.bundle
sudo ./VMware-Workstation-Full-10.0.2-1744117.x86_64.bundle
leisurex
帖子: 3
注册时间: 2014-06-17 23:34
系统: ubuntu
送出感谢: 0
接收感谢: 0

Re: 求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#9

帖子 leisurex » 2014-06-18 0:06

chmod +x VMware-Workstation-Full-10.0.2-1744117.x86_64.bundle
sudo ./VMware-Workstation-Full-10.0.2-1744117.x86_64.bundle
poloshiao
论坛版主
帖子: 18280
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1956 次

Re: 求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#10

帖子 poloshiao » 2014-06-18 9:24

(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,
... 省略
(vmware-installer.py:3847): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“murrine”,
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: 无法打开共享对象文件: 没有那个文件或目录
以下是我安裝 VMware-Player 克服上面錯誤訊息的方法
Host : Ubuntu 14.04 64 bit

1. 先安裝
murrine-themes
gtk2-engines-murrine
libgtkmm-2.4-1c2a
libgtkmm-2.4-dev
libcanberra-gtk-module:i386
1-1. 補充說明 上面 5 個套件 參考好幾篇網頁 也許有 多餘的
以後有時間 再篩選

2. VMware-Player-6.0.2-1744117.x86_64.bundle 是圖形程式 需要加 gksudo
先安裝 gksu 套件
gksudo bash /diskd/myDigest/VMware/VMware_Player/v6/v6.0.2/VMware-Player-6.0.2-1744117.x86_64.bundle

3. 經過 上面的折騰 已經不會再出現 上面的錯誤訊息
这些用户感谢了作者 poloshiao 于这个帖子:
KakuroP (2015-01-13 23:54)
评价: 3.7%
drammand
帖子: 2
注册时间: 2013-04-09 16:49
系统: ubuntu 15.10
送出感谢: 0
接收感谢: 0

Re: 求助:如何解决ubuntu14.04 64位装vmware for linux 10.0.2 64位 错误

#11

帖子 drammand » 2016-04-11 16:23

ubuntu15.10, gksudo即可。順便說一句, vmware相對vbox來說,還是有些優勢的。vbox配置簡單,但對USB外設支持不夠好,近期用掃描儀較多,不得不用windows.
回复

回到 “虚拟机和虚拟化”